package main

import (
	"fmt"
	"github.com/lawl/pulseaudio"
	"log"
)

func main() {
	pa, err := pulseaudio.NewClient()
	defer pa.Close()

	if err != nil {
		log.Fatalf("Couldn't create pulseaudio client: %v\n", err)
	}
	log.Println("PulseAudio connection created successfully")
	index, err := pa.LoadModule("module-null-sink", "sink_name=test")
	if err != nil {
		log.Fatalf("Couldn't load module, error message: %v\n", err)
	}
	fmt.Printf("Loaded Module sucessfully at index: %d\n", index)
	err = pa.UnloadModule(index)
	if err != nil {
		log.Fatalf("Couldn't load module, error message: %v\n", err)
	}
}

